namespace View_by_Distance.Shared.Models.Stateless.Methods;

public interface IMappingFromItem
{ // ...

    MappingFromItem TestStatic_GetMappingFromItem(DateTime[] containerDateTimes, Models.Item item, Models.FileHolder? resizedFileHolder, bool isIgnoreRelativePath)
        => GetMappingFromItem(containerDateTimes, item, resizedFileHolder, isIgnoreRelativePath);
    static MappingFromItem GetMappingFromItem(DateTime[] containerDateTimes, Models.Item item, Models.FileHolder? resizedFileHolder, bool isIgnoreRelativePath)
        => MappingFromItem.GetMappingFromItem(containerDateTimes, item, resizedFileHolder, isIgnoreRelativePath);

    MappingFromItem TestStatic_GetMappingFromItem(DateTime[] containerDateTimes, Models.Item item, bool isIgnoreRelativePath)
        => GetMappingFromItem(containerDateTimes, item, isIgnoreRelativePath);
    static MappingFromItem GetMappingFromItem(DateTime[] containerDateTimes, Models.Item item, bool isIgnoreRelativePath)
        => GetMappingFromItem(containerDateTimes, item, item.ResizedFileHolder, isIgnoreRelativePath);

    MappingFromItem TestStatic_GetMappingFromItem(Models.Item item, bool isIgnoreRelativePath)
        => GetMappingFromItem(item, isIgnoreRelativePath);
    static MappingFromItem GetMappingFromItem(Models.Item item, bool isIgnoreRelativePath)
        => GetMappingFromItem(containerDateTimes: Array.Empty<DateTime>(), item, item.ResizedFileHolder, isIgnoreRelativePath);

}